Subject: bug#49964: 28.0.50; ERC button to docu, again

From: Emanuel Berg <[email-masked]>
Date: Mon, 09 Aug 2021 19:16:38 +0200

I just wrote about this on
gmane.emacs.help/gmane.emacs.erc.general so I'll just reuse
that, I think it is clear what I mean :) Keep it up...

2. What is `this-convention' and ‘this‘? I always used
   `this-one' - I don't know/remember why, probably I saw
   someone else do it - but it seems in the on-line (*) help
   ‘this‘ is what happens, indeed even if you use
   `the-other-one' [see this example [1]]

3. In ERC, for example `sentence-end-double-space' gets turned
   into a button that opens up a help buffer, however with the
   other convention, i.e. ‘sentence-end-without-period’,
   nothing happens. maybe ‘this’ doesn't get
   highlighted/buttonized/hyperlinked because people use it
   for other things than to denote Emacs references?
   Emacs references? naah! Anyway here [2] is a screenshot [2]
   which is also attached to this post that shows what
   happens/how it looks.

(*) On-line help means it isn't on paper :)

[1] https://dataswamp.org/~incal/emacs-init/wrap-search.el
[2]
https://dataswamp.org/~incal/figures/emacs/erc-docu-button-again.png

In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu)
 of 2021-08-02 built on ebih
Repository revision: 558065531beaaae78810508f267415c6953e8e47
Repository branch: master
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --with-x-toolkit=no'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 ZLIB OLDXMENU X11 XDBE XIM MODULES
THREADS PDUMPER

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-agent-group-mode: t
  async-bytecomp-package-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-networks-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-netsplit-mode: t
  cursor-sensor-mode: t
  show-paren-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-autojoin-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  erc-scrolltobottom-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  transient-mark-mode: t

Load-path shadows:
/home/incal/quicklisp/dists/quicklisp/software/slime-v2.26.1/slime hides /usr/share/emacs/site-lisp/elpa-src/slime-2.26.1/slime
/home/incal/quicklisp/dists/quicklisp/software/slime-v2.26.1/slime-autoloads hides /usr/share/emacs/site-lisp/elpa-src/slime-2.26.1/slime-autoloads
/home/incal/quicklisp/dists/quicklisp/software/slime-v2.26.1/slime-tests hides /usr/share/emacs/site-lisp/elpa-src/slime-2.26.1/slime-tests
~/.emacs.d/emacs-init/isbn-verify hides /home/incal/.emacs.d/elpa/isbn-verify-2.0.0/isbn-verify
~/.emacs.d/emacs-init/signal hides /home/incal/.emacs.d/elpa/signal-20160816.1438/signal
~/.emacs.d/lisp/abbrev hides /usr/local/share/emacs/28.0.50/lisp/abbrev
~/.emacs.d/emacs-init/misc hides /usr/local/share/emacs/28.0.50/lisp/misc

Features:
(shadow emacsbug dash double deuglify gnus-cus gnus-demon
gnus-diary nndiary gnus-draft gnus-fun gnus-html ...)

Memory information:
((conses 16 889516 222517)
 (symbols 48 55462 3)
 (strings 32 214482 21490)
 (string-bytes 1 8392181)
 (vectors 16 67730)
 (vector-slots 8 2064313 184854)
 (floats 8 529 486)
 (intervals 56 137635 7886)
 (buffers 992 203))

-- 
underground experts united
https://dataswamp.org/~incal